Skip to main content
POST
Register member at payment location - v2

Authorizations

Authorization
string
header
required

JWT Authorization header using the Bearer scheme. Example: "Authorization: Bearer {token}"

Path Parameters

paymentLocation
string
required

Unique identifier of POS in payment service

Maximum string length: 128

Body

The check in method used

memberId
string | null

The member identifier

Maximum string length: 36
loyaltyCardId
string | null

The loyalty card identifier

phone
string | null

The member phone number

code
string | null

THe generated check in code

Response

OK

memberId
string | null

The id of member.

paymentAmountLimit
number<double>

The daily amount limit of payment.

paymentMethods
object[] | null

Available methods of payment.

coupons
object[] | null

Available member coupons.

isEmployee
boolean | null

Indicates whether the member is an employee. Populated only when the CheckInMember_IncludeIsEmployee feature flag is enabled.

Last modified on August 10, 2026